ubuntu16.04下安装Maya2017

第一次安装,拼凑了网上的各种经验 。终于可以使用,整理以下

1. 从官网下载maya2017 教育版
使用系统自带的查看器提取到一个文件夹
cd到这个文件夹
chmod a+x *
sudo mkdir /usr/tmp
sudo chmod 777 /usr/tmp
for i in *.rpm; do sudo alien -cv $i; done
然后

sudo dpkg -i adlmapps12_12.0.32-1_amd64.deb
sudo dpkg -i adlmflexnetserver_12.0.34-1_amd64.deb
sudo dpkg -i adlmflexnetclient_12.0.32-1_amd64.deb
sudo dpkg -i maya2017-64_2017.0-1721_amd64.deb

2.开始配置&补充各种缺失


sudo cp adskflex /opt/flexnetserver/adskflex
export LD_LIBRARY_PATH=/opt/Autodesk/Adlm/R5/lib64
拷贝加密库:
sudo cp /usr/autodesk/maya2017/support/openssl/lib* /usr/autodesk/maya2017/lib
注册程序:
sudo /usr/autodesk/maya2017/bin/adlmreg -i S 657i1 657i1 2017.0.0.F 666-69696969 /var/opt/Autodesk/Adlm/Maya2017/MayaConfig.pit
(657i1 657i1 key 666-69696969序列号)
会弹出libadlmPIT.so.4和libadlmutil.so.4不存在的错误,需要
sudo cp libadlmPIT.so /usr/lib
sudo cp libadlmutil.so /usr/lib
安装csh

sudo apt-get install csh
在终端输入maya,回车运行,结果出错,提示说缺少libXp.so.6,还得安装这个库
sudo apt-get install libxp6
(无法直接安装,mirrors.ustc.edu.cn/ubu 下载deb安装)
再运行maya,这次又提示说缺少 libtiff.so.3,
sudo apt install libtiff5
sudo ln -s /usr/lib/x86_64-linux-gnu/libtiff.so.5 /usr/lib/x86_64-linux-gnu/libtiff.so.3
(32位系统的话:
sudo ln -s /usr/lib/i386-linux-gnu/libtiff.so.5 /usr/lib/i386-linux-gnu/libtiff.so.3)
又提示缺少libfam
sudo apt-get install libfam-dev
又缺少 libcrypto.so.10
cd /lib64
ln -s /usr/local/ssl/lib/libcrypto.so libcrypto.so.10
sudo ln -s /usr/local/ssl/lib/libcrypto.so libcrypto.so.10
sudo ln -s /usr/local/ssl/lib/libssl.so libssl.so.10
sudo ln -s libcrypto.so.10 libcrypto.so.1.0.0
sudo apt-get update
sudo apt-get install libssl1.0.0 libssl-dev
cd /lib/x86_64-linux-gnu
sudo ln -s libssl.so.1.0.0 libssl.so.10
sudo ln -s libcrypto.so.1.0.0 libcrypto.so.10

sudo apt-get update
sudo apt-get install libjpeg62-dev
cd /usr/autodesk/maya2017/bin
sudo vim License.env
只留两行:
MAYA_LICENSE=657i1
MAYA_LICENSE_METHOD=standalone
(忘了有没有用/opt/flexnetserver/lmgrd -z -c /opt/flexnetserver/lic.dat)

3.
Maya的窗口终于出现,紧接着闪退,弹出:terminate called after throwing an instance of 'std::logic_error'。。。。Segmentation fault (core dumped)
cd ~/maya/2017/Maya.env
sudo vim Maya.env
加入一句:
MAYA_DISABLE_CIP=1
maya可以运行,但软件中弹出一个color
management的错误,重新修改上述env文件。
MAYA_CM_DISABLE_ERROR_POPUPS=1
MAYA_COLOR_MGT_NO_LOGGING=1
至此 终于可用

编辑于 2017-04-23